<!-- Modal -->
<h1 mat-dialog-title>Registrar peso</h1>
<div mat-dialog-content>
    <form [formGroup]="weightGroup" (ngSubmit)="onSubmit()"  id="register-weight-form" class="d-flex">
        <!-- Date -->
        <mat-form-field appearance="fill">
            <mat-label>Fecha</mat-label>
            <input matInput  [matDatepicker]="dp" placeholder="Date" formControlName="date" [max]="maxDate">
            <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
            <mat-datepicker #dp></mat-datepicker>
        </mat-form-field>
        <!-- Weight -->
        <mat-form-field appearance="fill">
            <mat-label>Peso</mat-label>
            <input matInput type="number" placeholder="Peso" formControlName="weight" required>
            <span matSuffix>&nbsp; Kg.</span>
        </mat-form-field>
     
    </form>
</div>

<div mat-dialog-actions>
    <button mat-flat-button color="accent" type="submit" [disabled]="!weightGroup.valid" form="register-weight-form"  cdkFocusInitial>Añadir</button>
</div>
